Pilgrimap API

게시된 순례지를 JSON, GeoJSON 또는 CSV로 읽고 API 키 없이 설정 가능하고 접근성 높은 iframe을 만들 수 있습니다.

Developer API

Versionierte, öffentliche Lese-API für Orte, Kategorien, Länder, Regionen, Lexikon, Bilder, Exporte und Einbettungen.

Pilgrimap 출처 표시를 유지해 주세요.

Response headers:

X-Pilgrimap-Attribution: Pilgrimap by Eble ITLink: <https://pilgrimap.org/ko/api-docs>; rel="describedby"GET https://pilgrimap.org/api/v1/meta

JSON · GeoJSON · CSV · iFrame

텍스트, 분류, 국가, 지역, 도시, 지도 범위, 반경, 연락처 및 날짜 필터를 조합할 수 있습니다. 여러 값은 쉼표로 구분합니다.

/api/v1/export?format=geojson&country=DE&category=marienheiligtum

엔드포인트

GET Places /api/v1/places

q, category, country, region, locality, bbox, lat, lng, radius_km, fields, page, per_page

GET Places /api/v1/places/<slug>

Complete localized place record

GET Batch lookup /api/v1/places/batch?slugs=…

Up to 100 stable slugs in the requested order

GET Search results /api/v1/search?q=…

Place names, alternative names and localities; categories are not returned as suggestions

GET Categories /api/v1/categories

Kategorien mit Symbolen, Farben und Zählwerten

GET Category detail /api/v1/categories/<slug>

Kategorie mit Beschreibung und direkter Orts-Collection

GET Countries /api/v1/countries

Länderliste mit veröffentlichten Ortszahlen

GET Country detail /api/v1/countries/<code>

Landprofil mit Beschreibung und Orts-Collection

GET Regions /api/v1/regions?country=DE

Regionen und direkte Filterlinks

GET Region detail /api/v1/regions/<code>/<region>

Regionsprofil mit Beschreibung und Orts-Collection

GET Facets /api/v1/facets

Category and country counts for interfaces

GET Nearby /api/v1/nearby?lat=…&lng=…

Radius search with exact distance_km

GET Images /api/v1/places/<slug>/images

Bild-URLs, Thumbnails, Abmessungen und MIME-Typen

GET Single image /api/v1/images/<id>

Metadaten eines einzelnen veröffentlichten Ortsbildes

GET Lexicon /api/v1/lexicon

Alphabetisch durchsuchbare Lexikonartikel

GET Lexicon article /api/v1/lexicon/<slug>

Vollständiger Lexikonartikel als strukturierte Daten

GET Embeds /api/v1/embeds

Discovery-Endpunkt für verfügbare iFrame-Oberflächen

GET Related places /api/v1/places/<slug>/related

Category, region and distance based suggestions

GET GeoJSON /api/v1/geojson

All filters supported; FeatureCollection

GET Export /api/v1/export?format=json|geojson|csv

Filtered export with up to 10,000 records

GET Map provider /api/v1/map-providers

Licensed Eble IT MapLibre style contract

GET OpenAPI /api/v1/openapi.json

OpenAPI 3.1 machine-readable contract

필터

텍스트, 분류, 국가, 지역, 도시, 지도 범위, 반경, 연락처 및 날짜 필터를 조합할 수 있습니다. 여러 값은 쉼표로 구분합니다.

ParameterValuesPurpose
qtextName, alternative name, locality, region, postal code
category, categoriescomma-separated slugsOne or many categories; exclude_category excludes values
country, countriesISO 3166-1 alpha-2One or many countries
region, localityone or many valuesGeographic text filters
bboxwest,south,east,northMap viewport, including antimeridian boxes
lat, lng, radius_kmcoordinates + 1–1000 kmGeographic radius filter
featured, has_images, has_website, has_phone, has_emailtrue / falseAvailability filters
updated_sinceISO-8601Incremental synchronization
fieldscomma-separated field namesSparse fieldsets; id and slug remain present
sort, ordername/locality/updated · asc/descStable ordering

iframe 빌더

콘텐츠, 지도 제공자, 테마, 색상, 모서리, 헤더 및 출처 표시를 설정할 수 있습니다.

Preview

Embed code

JavaScript

const response = await fetch('https://pilgrimap.org/api/v1/places?country=DE&category=marienheiligtum&fields=id,slug,name,latitude,longitude');
const { data, pagination } = await response.json();

Python

import requests

response = requests.get(
    'https://pilgrimap.org/api/v1/export',
    params={'format': 'geojson', 'bbox': '8.0,47.0,14.0,51.0'},
    timeout=10,
)
response.raise_for_status()

The public read-only API provides published place and category data as JSON and GeoJSON. It is intended for church information services, research and responsible integrations.